Loans
Update a loan
Updates a loan by its ID.
Path Parameters
loan_id
stringRequiredUnique identifier for the loan.
Body Parameters
allow_overpayment
booleanOptionalIndicates if a loan is able to be overpaid and have a principal_outstanding of less than $0. If false, payments that would result in a loan having a negative balance will be blocked.
auto_sell
booleanOptionalIndicates if seasoned principals/interests should be automatically sold to your platform.
description
stringOptionalThe description of the loan in the Column dashboard.
interest_config_id
stringOptionalID of the interest configuration used to accrue interest receivable daily. The same interest configuration can be shared across multiple loans.
is_business_seasoning_days
booleanOptionalIndicates if seasoning_days are business days or calendar days.
is_revolving
booleanOptionalIndicates whether or not the loan is revolving. If true the loan can have multiple disbursements.
loan_program_id
stringOptionalID of the loan program for this loan. If this field is not set, your platform's default loan program will be used.
maturity_date
stringOptionalThe maturity date of the loan. It is required if the loan is not revolving.
max_principal_balance
integerOptionalThe max principal balance of the loan in cents. This is akin to a credit limit. Disbursements will fail if the resulting principal will be above the max principal. e.g. $1.75 would be represented by 175.
retained_by_column
booleanOptionalIndicates if this loan should be retained by Column. Loans retained by Column are not eligible for your platform to purchase.
seasoning_days
integerOptionalNumber of days principal receivables will be seasoned.
status
stringOptionalThe current status of the loan. Possible values: current, delinquent, charged_off, in_dispute, canceled, paid_off